## org.apache.poi.hwpf.model
Class NotesTables

    java.lang.Object
      org.apache.poi.hwpf.model.NotesTables

    @Internal
    public class NotesTables

extends java.lang.Object

Holds information about document notes (footnotes or ending notes)

Author:
  Sergey Vladimirov (vlsergey {at} gmail {doc} com)

Constructor Summary
`NotesTables(NoteType noteType)`
`NotesTables(NoteType noteType, byte[] tableStream, FileInformationBlock fib)`

Method Summary
`GenericPropertyNode` `getDescriptor(int index)`
`int` `getDescriptorsCount()`
`GenericPropertyNode` `getTextPosition(int index)`
`void` `writeRef(FileInformationBlock fib, HWPFOutputStream tableStream)`
`void` `writeTxt(FileInformationBlock fib, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotesTables

    public NotesTables(NoteType noteType)

### NotesTables

    public NotesTables(NoteType noteType,
                       byte[] tableStream,
                       FileInformationBlock fib)

Method Detail

### getDescriptor

    public GenericPropertyNode getDescriptor(int index)

### getDescriptorsCount

    public int getDescriptorsCount()

### getTextPosition

    public GenericPropertyNode getTextPosition(int index)

### writeRef

    public void writeRef(FileInformationBlock fib,
                         HWPFOutputStream tableStream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTxt

    public void writeTxt(FileInformationBlock fib,
                         HWPFOutputStream tableStream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.